---
search:
  tags:
    - Posts
    - DELETE
seo:
  description: >-
    Same operation as DELETE /api/cli/posts, with the delivery id in the path.
    Only… Reference for the DELETE /api/cli/posts/{id} endpoint in the
    BrainyShorts API.
sidebar:
  label: Delete a post delivery
  badge: DELETE
title: Delete a post delivery
type: openapi-operation
---
Same operation as `DELETE /api/cli/posts`, with the delivery id in the path. Only `draft`, `scheduled`, `retry_scheduled`, or `failed` deliveries can be deleted. MCP: `brainy_delete_post`.

`DELETE /api/cli/posts/{id}`
